/*
 * Chapter 17
 *
 * A PWM signal is created on PD5 pin of the microcontroller, which represents a melody.
 * This can be heard if a buzzer is connected to this pin.
 */

#include "../Headers/main.h"


int main(void)
{
    //Initializing inputs and outputs

    IOInit();
    //Initialization of PWM
    PWMInit();

    //Infinite loop
    while (1)
    {
        //Playing melodies
        Play(boci_notes, boci_beats, BOCI_LEN);
        Play(mario_notes, mario_beats, MARIO_LEN);
    }

    return 0;
}