#include "../Headers/io.h"

void IOInit()
{
    //PORTA disable all pullup resistors
    PORTA = 0x00;
    DDRA = 0x00;

    //PORTB disable all pullup resistors, every pin is set to input
    PORTB = 0x00;
    DDRB = 0x00;

    //PORTC disable all pullup resistors, every pin is set to input
    PORTC = 0x00;
    DDRC = 0x00;

    //PORTD disable all pullup resistors, every pin is set to input excluding PWM output
    PORTD = 0x00;
    DDRD = 0x00;
    //PORTD PD7 pin is output, the Timer2 PWM output is connected here
    sbi(DDRD, 7);
}