#ifndef MUSIC_H_
#define MUSIC_H_

#include "../Headers/pwm.h"

//Speed, time in [ms] required for a full 1/1 beat
//Examples speed=100-> 1000ms, 20->200ms
#define SPEED 1500

/*
 *   SUPER MARIO THEME
 */
//Mario number of notes
#define MARIO_LEN 131
//Array for the notes, description in attached xlsx
extern volatile const uint16_t mario_notes[MARIO_LEN];
//Array for the beats, description in attached xlsx
extern volatile const uint8_t mario_beats[MARIO_LEN];

/*
 *   BOCI, BOCI, TARKA (Hungarian children's song)
 */
#define BOCI_LEN 24
extern volatile const uint16_t boci_notes[BOCI_LEN];
extern volatile const uint8_t boci_beats[BOCI_LEN];

//Functions
void Play(volatile const uint16_t* notes, volatile const uint8_t* beats, uint16_t length);

#endif /* MUSIC_H_ */